<?php


function HyperTwings_MakeCSS($module=null,$styles=null) {
	if(!isset($styles)) {
		if(isset($module)) {
			$stylename = $module . '_styles' ;
		}
		else {
			$stylename = 'Main_styles' ;
		}
		$styles = $$stylename ;
	}

	$css = '' ;
	$css .= "<STYLE TYPE=\"text/css\">\n" ;
	$css .= "<!--\n" ;
	if(isset($module)) {
		$modulename = '.'.$module ;
	}
	else {
		$modulename = '' ;
	}
	if(isset($styles[''])) {
		$css .= $modulename.' { '.$styles[''].' }'."\n" ;
	}
	foreach($styles as $class => $decl) {
		if($class != '') {
			$css .= $modulename.' '.$class.' { '.$decl.' }'."\n" ;
		}
	}
	$css .= "!-->\n" ;
	$css .= "</STYLE>\n" ;

	echo $css ;
}

function HyperTwings_MakeTextBox($text,$width,$height,$style) {
	if($style == '') {
		global $HyperTwings_InsertStyle ;
		$style = $HyperTwings_InsertStyle ;
	}
	$bordercol = $style['Border_Color'] ;
	$borderdim = $style['Border_Dimtn'] ;

	$wbox = $width - 2 * $borderdim ;
	$hbox = $height - 2 * $borderdim ;

	echo "<DIV CLASS=HyperTwings>\n" ;
	echo "<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>\n" ;
	echo "  <TR>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" HEIGHT=${borderdim} WIDTH=${borderdim}></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${wbox}><IMG SRC=\"\" WIDTH=0 HEIGHT=${borderdim} ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}></TD>\n" ;
	echo "  </TR>\n" ;
	echo "  <TR>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>" ;
	echo "    <TD ALIGN=left VALIGN=top WIDTH=${wbox} HEIGHT=${hbox} CLASS=Insert>" ;
#	echo 		"<DIV CLASS=Insert>" ;
	echo 		$text ;
#	echo 		"</DIV>" ;
	echo "</TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>\n" ;
	echo "  </TR>\n" ;
	echo "  <TR><TD COLSPAN=3 BGCOLOR=\"${bordercol}\" HEIGHT=${borderdim}><IMG SRC=\"\" WIDTH=0 HEIGHT=${borderdim} ALT=\"\" BORDER=0></TD></TR>\n" ;
	echo "</TABLE>\n" ;
	echo "</DIV>\n" ;
}


function HyperTwings_MakeMinipage($title,$text,$width,$height,$style) {
	if($style == '') {
		global $HyperTwings_InsertStyle ;
		$style = $HyperTwings_InsertStyle ;
	}
	$bordercol = $style['Border_Color'] ;
	$borderdim = $style['Border_Dimtn'] ;
	$cornerimg = $style['Corner_Image'] ;
	$cornerwth = $style['Corner_ImgWh'] ;
	$cornerhgt = $style['Corner_ImgHt'] ;

	$wbox = $width - 2 * $borderdim ;
	$hbox = $height - 2 * $borderdim - $cornerhgt ;
	$wsid = $cornerwth - $borderdim ;
	$wdid = $width - 2 * $borderdim - $cornerwth ;
	$hdid = $cornerhgt - $borderdim ;

	echo "<DIV CLASS=HyperTwings>\n" ;
	echo "<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>\n" ;
	echo "  <TR>\n" ;
	echo "    <TD COLSPAN=2 ROWSPAN=2 WIDTH=${cornerwth} HEIGHT=${cornerhgt} ALIGN=left VALIGN=top>" ;
	if($cornerimg != '') {
		echo 	"<IMG CLASS=Image SRC=\"${cornerimg}\" WIDTH=${cornerwth} HEIGHT=${cornerhgt} BORDER=0 ALT=\"\" BORDER=0>" ;
	}
	echo 		"</TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" HEIGHT=${borderdim}><IMG SRC=\"\" WIDTH=0 HEIGHT=${borderdim} ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>\n" ;
	echo "  </TR>\n" ;
	echo "  <TR>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>" ;
	echo "    <TD ALIGN=left VALIGN=center WIDTH=${wdid} CLASS=Header STYLE=\"border: 0px ! important ; padding: 0px ! important ; margin: 0px ! important ;\">" ;
#	echo		"<DIV CLASS=Header>" ;
	echo 		"&nbsp;" ;
	echo 		$title ;
#	echo 		"</DIV>" ;
	echo 	"</TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>" ;
	echo "  </TR>\n" ;
	echo "  <TR>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" HEIGHT=${borderdim} WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=0 HEIGHT=${borderdim} ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${wsid}><IMG SRC=\"\" WIDTH=1 HEIGHT=1 ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=1 HEIGHT=1 ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${wdid}><IMG SRC=\"\" WIDTH=1 HEIGHT=1 ALT=\"\" BORDER=0></TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=1 HEIGHT=1 ALT=\"\" BORDER=0></TD>\n" ;
	echo "  </TR>\n" ;
	echo "  <TR>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>" ;
	echo "    <TD COLSPAN=3 ALIGN=left VALIGN=top CLASS=Insert>" ;
#	echo 		"<DIV CLASS=Insert>" ;
	echo 		$text , "\n" ;
#	echo 		"</DIV>" ;
	echo "</TD>\n" ;
	echo "    <TD BGCOLOR=\"${bordercol}\" WIDTH=${borderdim}><IMG SRC=\"\" WIDTH=${borderdim} HEIGHT=0 ALT=\"\" BORDER=0></TD>\n" ;
	echo "  </TR>\n" ;
	echo "  <TR><TD COLSPAN=5 BGCOLOR=\"${bordercol}\" HEIGHT=${borderdim}><IMG SRC=\"\" WIDTH=1 HEIGHT=${borderdim} ALT=\"\" BORDER=0></TD></TR>\n" ;
	echo "</TABLE>\n" ;
	echo "</DIV>\n" ;
}



### END
?>
