<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<?php


$name  = "XCLstd" ;
$title = "Standard XCL primitives library" ;
$ttimg = "title.png" ;
$keywd = "XCLstd XCLE Concatenative Language Interpreter Virtual-Machine Primitives" ;
$descr = "XCLstd developement page" ;

$home = 'http://www.varkhan.net/software/xcl/XCLstd' ;
$splash = "XCLstd provides several XCLE modules, implementing basic primitives: flow control, stack management, numeric computing, ..." ;

$date = "2005-04-24" ;
$last = "0.3.0" ;


$support = array(
	'Information and project homepage'	=> "<A HREF=\"$home\"><SPAN CLASS=Field>$home</SPAN></A>",
	'Support and bug reports'		=> "Write to &lt;varkhan&nbsp;<B>at</B>&nbsp;varkhan&nbsp;<B>dot</B>&nbsp;net&gt;<BR> (please include the name \"<B>XCLstd</B>\" into the subject).",
) ;
 
$author = array(
	'Name' => "Yann LANDRIN-SCHWEITZER aka <B>Varkhan</B>" ,
	'Mail' => "varkhan&nbsp;<B>at</B>&nbsp;varkhan&nbsp;<B>dot</B>&nbsp;net" ,
	'Home' => "http://www.varkhan.net/" ,
) ;

$document = array(
	'Modules overview'	=> array(
		'HTML' => "HtLxDoc/htm/XCLstd.html" ,
		'TEXT' => "TextDoc/XCLstd.txt" ,
		'PDF'  => "HtLxDoc/tex/XCLstd.pdf" ,
	) ,
	'Detailed modules documentation'	=> array(
		'HTML' => "HtLxDoc/htm/xcl_progs.html" ,
	) ,
) ;


$descript_v_010 =  '' ;

$download_v_010 = array (
	"Source"		=> "XCLstd-0.1.0-src.tgz" ,
	"Documentation"		=> "XCLstd-0.1.0-doc.tgz" ,
	"Tests"			=> "XCLstd-0.1.0-tst.tgz" ,
	"Binary module for Linux-i386"	=> "XCLstd.Linux-i386.0.1.0.so.gz" ,
		) ;

$descript_v_020 =  '' ;

$download_v_020 = array (
	"Source"		=> "XCLstd-0.2.0-src.tgz" ,
	"Documentation"		=> "XCLstd-0.2.0-doc.tgz" ,
	"Tests"			=> "XCLstd-0.2.0-tst.tgz" ,
	"Binary modules for Linux-i386"	=> "XCLstd-0.2.0-Linux-i386.tgz" ,
		) ;

$descript_v_021 =  '' ;

$download_v_021 = array (
	"Source"		=> "XCLstd-0.2.1-src.tgz" ,
	"Documentation"		=> "XCLstd-0.2.1-doc.tgz" ,
	"Tests"			=> "XCLstd-0.2.1-tst.tgz" ,
	"Binary modules for Linux-i386"	=> "XCLstd-0.2.1-Linux-i386.tgz" ,
		) ;

$descript_v_030 =  '' ;

$download_v_030 = array (
	"Source"		=> "XCLstd-0.3.0-src.tgz" ,
	"Documentation"		=> "XCLstd-0.3.0-doc.tgz" ,
	"Tests"			=> "XCLstd-0.3.0-tst.tgz" ,
	"Binary modules for Linux-i386"	=> "XCLstd-0.3.0-Linux-i386.tgz" ,
		) ;

?>

<?php
require_once "HyperTwings.php" ;
require_once "Software.php" ;
?>

<HTML>

<HEAD>
  <TITLE> <?php echo $name ?> - <?php echo $title ; ?> </TITLE>
  <META NAME="Keywords" content="<?php echo $keywd ; ?>">
  <META NAME="Description" CONTENT="<?php echo $descr ; ?>">
  <META NAME="ROBOTS" CONTENT="Index, Follow">
</HEAD>

<?php
require_once "Visual_soft.php" ;
$Software_Insert_Style = $Visual_InsertStyle ;
HyperTwings_MakeCSS(null,$Visual_styles) ;
HyperTwings_MakeCSS('Software',$Software_styles) ;
HyperTwings_MakeCSS('HyperTwings',$HyperTwings_styles) ;
?>

<BODY>

<DIV CLASS=Software>
<TABLE CELLPADDING=0 CELLSPACING=0  BORDER=0>

<TR><TD VALIGN=top ALIGN=center COLSPAN=3>
<H1><CENTER><IMG SRC="<?php echo $ttimg ; ?>" ALT="<?php echo $name ; ?>"></CENTER></H1>
</TD></TR>

<TR>

  <TD COLSPAN=3>
  <DIV CLASS=Header ALIGN=center><?php echo $title ; ?></DIV>
  </TD>

</TR>

<TR><TD COLSPAN=3 HEIGHT=20> </TD></TR>

<TR>

  <TD COLSPAN=3>
  <DIV CLASS=Insert><SPAN CLASS=Entry><?php echo $name ; ?>:</SPAN> <?php echo $splash ; ?></DIV>
  </TD>

  </TD>

</TR>

<TR><TD COLSPAN=3 HEIGHT=20> </TD></TR>

<TR>

  <TD WIDTH=350 VALIGN=top ALIGN=left>

  <SPAN CLASS=Information>Last change</SPAN> <SPAN CLASS=Field><?php echo $date ; ?></SPAN><BR>
  <SPAN CLASS=Information>Last stable version</SPAN> <SPAN CLASS=Field><?php echo $last ; ?></SPAN><BR>
  <BR>

  <SPAN CLASS=Section>Read the <A HREF="TextDoc/CHANGELOG.txt">Changelog</A></SPAN><BR>
  </FONT>

  <BR><BR>
  <?php echo Software_formatsection("Download Version 0.3.0",$descript_v_030,$download_v_030) ; ?>
  <?php echo Software_formatsection("Download Version 0.2.1",$descript_v_021,$download_v_021) ; ?>
  <?php echo Software_formatsection("Download Version 0.2.0",$descript_v_020,$download_v_020) ; ?>
  <?php echo Software_formatsection("Download Version 0.1.0",$descript_v_010,$download_v_010) ; ?>

  </TD>

  <TD WIDTH=10> </TD>

  <TD VALIGN=top ALIGN=left>

<?php
HyperTwings_MakeMinipage("Documentation",
Software_formathashlist($document).'Distributed under the <A HREF="TextDoc/LICENSE.txt"><B>GPL License</B></A>',
300,100,$Software_Insert_Style) ;
?>
<BR><BR>
<?php 
HyperTwings_MakeMinipage("Author",Software_formathash($author),300,100,$Software_Insert_Style) ;
?>
<BR><BR>
<?php
HyperTwings_MakeMinipage("Support",Software_formatlist($support),300,100,$Software_Insert_Style) ;
?>


  </TD>

</TR>



</TABLE>
</DIV>

</BODY>
</HTML>
